Available in Classic and VPC
View the details of usage plans associated with a specified stage.Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/usage-plans |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
product-id |
String | Required | Product ID that the stage belongs to
|
api-id |
String | Required | ID of the API that the stage belongs to
|
stage-id |
String | Required | ID of the stage to view the usage plans for
|
Request query parameters
The following describes the parameters.
| Field | Type | Required | Description |
|---|---|---|---|
offset |
Long | Optional | Starting point of the response data
|
limit |
Long | Optional | Maximum number of response data
|
usagePlanName |
String | Optional | Usage plan name
|
Request example
The following is a sample request.
curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/apis/***51hs***/stages/***fh5o***/usage-plans' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"total" : 5,
"monthQuotaRequest" : 6,
"dayQuotaRequest" : 0,
"rateRps" : 1,
"quotaCondition" : "quotaCondition",
"content" : [ {
"domainCode" : "domainCode",
"usagePlanId" : "usagePlanId",
"modifier" : "modifier",
"associatedStagesCount" : 0,
"dayQuotaRequest" : 6,
"permission" : "permission",
"rateRps" : 5,
"usagePlanName" : "usagePlanName",
"monthQuotaRequest" : 1,
"tenantId" : "tenantId",
"disabled" : true,
"usagePlanDescription" : "usagePlanDescription",
"quotaCondition" : "quotaCondition",
"actionName" : "actionName"
} ]
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"content": [
{
"tenantId": "***e230cebc1402ba89b148896951***",
"usagePlanId": "***xogj***",
"usagePlanName": "usageplan001",
"domainCode": "PUB",
"associatedStagesCount": 1
}
],
"total": 1
}